#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'nonlelang.edit_paket'}
#{/set}

    <ol class="breadcrumb"  style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'nonlelang.home'}</a></li>
        <li>
            #{if active_user.isPP()}
                <a href="@{nonlelang.PaketPlCtr.index()}">&{'nonlelang.daftar_paket'} </a>
            #{/if}
            #{else}
                <a href="@{nonlelang.PaketPlCtr.indexPenunjukanLangsung()}">&{'nonlelang.daftar_paket_penunjukan'}</a>
            #{/else}
        </li>
        <li class="active">&{'nonlelang.edit_paket'}</li>
    </ol>
<div class="content">
#{alert /}
    <div class="bs-callout bs-callout-info">
        <strong>&{'nonlelang.penting'}</strong>
        <ol>
            <li>&{'nonlelang.penting_1'}</li>
            <li>&{'nonlelang.penting_2'}i>
        </ol>
    </div>
#{form @nonlelang.PengadaanLCtr.simpan(pl.lls_id), id:'formEditLelang', enctype:"multipart/form-data", method:'POST'}
    <table class="table table-sm table-bordered" ">
        <tr>
        <th class="bgwarning" width="300">Kode Non Tender</th>
        <td>${pl.lls_id}</td>
        <th class="bgwarning" width="200">Nilai HPS</th>
        <td>${nilaiHps.rupiah()} <a href="@{nonlelang.DokumenPlCtr.hps(pl.pkt_id)}" class="badge  badge-secondary">Rincian HPS</a></td>
        </tr>
        <tr>
            <th class="bgwarning">Nama Paket</th>
            <td colspan="3">
                ${pl.namaPaket}
                #{if pl.pengadaanUlang}<span class="badge  badge-warning">Non Tender Ulang</span> #{/if}
            </td>
        </tr>
        #{if pl.pengadaanUlang}
            <tr>
                <th class="bgwarning">Alasan Pembatalan</th>
                <td colspan="3">${pl.lls_ditutup_karena}</td>
            </tr>
            <tr>
                <th class="bgwarning">Pengadaan Ke (jika diulang)</th>
                <td>${pl?.lls_versi_lelang}</td>
                <th class="bgwarning">Diulang Karena<span class="warning"> *</span></th>
                <td><textarea rows="6" cols="40" name="pl.lls_diulang_karena" class="form-control" #{if !draft} disabled="disabled" #{/if}>${pl?.lls_diulang_karena}</textarea></td>
            </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Metode Pengadaan</th>
            #{if pengadaanlangsung}
            <td colspan="3"><a href="@{nonlelang.PengadaanLCtr.metode(pl.lls_id)}" class="badge  badge-secondary dialog" title="Ubah Metode Pengadaan">${kategori?.nama} - ${pl.pemilihan.label} - #{if pl.mtd_kualifikasi==0} Prakualifikasi #{/if}#{else} Tindak lanjut Prakualifikasi ulang jumlah peserta yang lulus 1 #{/else} </a></td>
            #{/if}
            #{else}
            <td colspan="3"><a href="@{nonlelang.PengadaanLCtr.metode(pl.lls_id)}" class="badge  badge-secondary dialog" title="Ubah Metode Pengadaan">${kategori?.nama} - ${pl.pemilihan.label} - #{if pl.mtd_kualifikasi==0} Prakualifikasi #{/if}#{else} Pascakualifikasi #{/else} </a></td>
            #{/else}
        </tr>
        #{if !konsultansi && !JkKonstruksi}
            <tr>
                <th class="bgwarning">Kualifikasi Usaha <span class="warning">*</span></th>
                <td colspan="3">
                    <div style="width:300px;">#{selectKualifikasi 'kualifikasiId', value:pl.paket.kls_id, autoSubmit:true , disabled:!draft /}</div>
                </td>
            </tr>
        #{/if}
    
	    #{if JkKonstruksi} 
	    <tr>
	        <th class="bgwarning">Kualifikasi Usaha <span class="warning">*</span></th>
	        <td colspan="3"><div style="width:300px;">#{selectKualifikasiJk 'kualifikasiId', value:pl.paket.kls_id, autoSubmit:true , disabled:!draft /}</div></td>
	    </tr>
	    #{/if}
	    
        <tr>
            <th class="bgwarning">Jadwal Paket</th>
            <td colspan="3">
            #{if draft && !(pl.isPenunjukanLangsungNew())}<a href="@{nonlelang.JadwalPlCtr.list(pl.lls_id)}" class="badge  badge-secondary">${ketJadwal}</a>#{/if}
            #{elseif draft && pl.isPenunjukanLangsungNew()}<a href="@{nonlelang.JadwalPlCtr.listNew(pl.lls_id)}" class="badge  badge-secondary">${ketJadwal}</a>#{/elseif}
            #{else} ${ketJadwal} #{/else}</td>
        </tr>
        #{if false}
    
        <tr>
            <th class="bgwarning">Rancangan Kontrak</th>
            <td colspan="3">#{dokNonTenderPokja 'doc.rancanganKontrak' , dok:dok_sskk /}</td>
        </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Jenis Kontrak</th>
            <td colspan="3">${pl?.kontrakPembayaran?.label}</td>
        </tr>
        #{if pl.isPenunjukanLangsungNew()}
        <tr>
        	<th class="bgwarning">Dokumen Kualifikasi</th>
        	<td colspan="3">
                #{if dok_lelang?.dll_id_attachment && dok_lelang_content?.dll_modified}
                    <div class="bs-callout bs-callout-warning">
                        &{'nonlelang.upload_ulang'}
                    </div>
                #{/if}
                   <div class="card card-info">
                    <div class="card-header">Dokumen Kualifikasi
                        <div class="float-right">
                            #{if allow_upload_dok_kualifikasi}<a class="dialog float-right badge  badge-secondary" href="@{nonlelang.DokumenPlCtr.uploadDokKualifikasi(dok_kualifikasi_pl.dll_id)}" id="btnUploadDokKualifikasi" title="Kirim Dokumen Kualifikasi" > Upload </a>#{/if}
                            #{if dok_kualifikasi_pl?.dll_id_attachment && !dok_kualifikasi_pl_content?.dll_modified}<a href="@{nonlelang.DokumenPlCtr.preview(dok_kualifikasi_pl.dll_id)}" class="badge  badge-secondary" target="_blank"><i
                                        class="fa fa-file"></i> Dokumen Kualifikasi</a>#{/if}
                        </div>
                    </div>
                    <div class="list-group">
                    	<a href="@{nonlelang.DokumenPlCtr.ldk(pl.lls_id)}" class="list-group-item">&{'doc.ldk'} <span class="warning">*</span>
                            #{if ldk_terisi} <i class="fa fa-check float-right"></i> #{/if}</a>
                    </div>
                </div>
                #{if belum_cetak_dok_lelang}
                    <div class="alert alert-danger">&{'nonlelang.doc_kualifikasi_blm_cetak'}</div>
                #{/if}
        </tr>
        #{/if}
        <tr>
            <th class="bgwarning">Dokumen Pemilihan</th>
            <td colspan="3">
                #{if dok_lelang?.dll_id_attachment && dok_lelang_content?.dll_modified}
                    <div class="bs-callout bs-callout-warning">
                        &{'nonlelang.upload_ulang'}
                    </div>
                #{/if}
                   <div class="card card-info">
                    <div class="card-header">Dokumen ${pl.isPenunjukanLangsungNew() ? "Tender/Seleksi" : "Pemilihan"}
                        <div class="float-right">
                            #{if allow_upload_dok}<a class="dialog float-right badge  badge-secondary" href="@{nonlelang.DokumenPlCtr.uploadDokNonTender(dok_pl.dll_id)}"  > Upload </a>#{/if}
                            #{if dok_pl?.dll_id_attachment && !dok_pl_content?.dll_modified}<a href="@{nonlelang.DokumenPlCtr.preview(dok_pl.dll_id)}" class="badge  badge-secondary" target="_blank"><i
                                        class="fa fa-file"></i> Dokumen Pemilihan</a>#{/if}
                        </div>
                    </div>
                    <div class="list-group">
                    	#{if !(pl.isPenunjukanLangsungNew())}
                        	<a href="@{nonlelang.DokumenPlCtr.ldk(pl.lls_id)}" class="list-group-item">&{'doc.ldk'} <span class="warning">*</span>
                           #{if ldk_terisi} <i class="fa fa-check float-right"></i> #{/if}</a>
                        #{/if}
                        <a href="@{nonlelang.DokumenPlCtr.masaBerlakuPenawaran(pl.lls_id)}" class="list-group-item dialog" title="&{'doc.masaBerlakuPenawaran'}">&{'doc.masaBerlakuPenawaran'} ${masaberlaku} hari sejak batas akhir pemasukan dokumen penawaran <span class="warning">*</span> #{if dok_pl_content?.dll_ldp}  <i class="fa fa-check float-right"></i> #{/if}</a>
                        *{<a href="@{nonlelang.DokumenPlCtr.ldp(pl.lls_id)}" class="list-group-item">Lembar Data Pemilihan (LDP) <span class="warning">*</span>
                            #{if dok_pl_content?.dll_ldp} <i class="fa fa-check float-right"></i> #{/if}</a>}*
                        <a href="@{nonlelang.DokumenPlCtr.checklist(pl.lls_id)}" class="list-group-item">&{'doc.syarat'}  <span class="warning">*</span>
                            #{if persyaratan_terisi} <i class="fa fa-check float-right"></i> #{/if}</a>
                        <a href="@{nonlelang.DokumenPlCtr.spek(pl.lls_id)}" class="list-group-item dialog" title="Daftar &{'doc.kakspek'}">&{'doc.kakspek'} <span class="warning">*</span>
                                #{if dok_pl_content?.dll_spek} <i class="fa fa-check float-right"></i> #{/if}</a>
                        <a href="@{nonlelang.DokumenPlCtr.docSskk(pl.lls_id)}" class="list-group-item dialog" title="Daftar &{'doc.sskk'}">&{'doc.sskk'} <span class="warning">*</span>
                                #{if dok_pl_content?.dll_sskk_attachment} <i class="fa fa-check float-right"></i> #{/if}</a>
                        <a href="@{nonlelang.DokumenPlCtr.lainnya(pl.lls_id)}" class="list-group-item dialog" title="Daftar Informasi Lainnya">Informasi Lainnya #{if dok_pl_content?.dll_lainnya} <i class="fa fa-check float-right"></i> #{/if}</a>
                    </div>
                </div>
                #{if belum_cetak_dok_lelang}
                    <div class="alert alert-danger">&{'nonlelang.doc_pemilihan_blm_cetak'}</div>
                #{/if}
            </td>
        </tr>
        #{if !paket?.plSeleksi?.isPenunjukanLangsung()}
        <tr>
            <th class="bgwarning">&{'doc.surveyPembanding'}</th>
            <td colspan="3">
                <div class="card card-info">
                    <div class="card-header">&{'doc.surveyPembanding'}</div>
                    <div class="list-group">
                        <a href="@{nonlelang.DokumenPlCtr.surveyHarga(pl.lls_id)}" class="list-group-item dialog" title="Survey Harga Pembanding Pejabat Pengadaan" onhide-refresh="true">Survey Harga Pembanding Pejabat Pengadaan  #{if surveyHarga?.survey_id_attachment} <i class="fa fa-check float-right"></i> #{/if}</a>
                        <a href="@{nonlelang.DokumenPlCtr.surveyHargaPpk(paket.pkt_id)}" class="list-group-item dialog" title="Data Dukung HPS" onhide-refresh="true">Data Dukung HPS  #{if dokPersiapan?.dp_survey} <i class="fa fa-check float-right"></i> #{/if}</a>
                    </div>
                </div>
            </td>
        </tr>

        #{/if}

        <tr>
            <th class="bgwarning">Daftar Penyedia</th>
            <td colspan="3">
                <div class="card card-info">
                    #{if draft}
                        <div class="card-header">
                            <a href="@{nonlelang.PengadaanLCtr.viewPilihPenyedia(pl.lls_id)}" class="btn btn-secondary ">
                                <i class="fa fa-plus-circle"></i> Pilih Penyedia
                            </a>
                        </div>
                    #{/if}
                    #{if draftPesertaPlList != null && draftPesertaPlList.size() > 0}
                        <table class="table table-sm table-bordered">
                            <thead>
                            <tr>
                                <th width="5">No</th>
                                <th>&{'nonlelang.nama_perusahaan'}</th>
                                <th>NPWP</th>
                                <th>&{'nonlelang.email'}</th>
                                <th>&{'nonlelang.telepon'}</th>
                                <th>&{'nonlelang.alamat'}</th>
                                #{if draft}
                                    <th width="5"></th>
                                #{/if}
                            </tr>
                            </thead>
                            <tbody>
                                #{list items:draftPesertaPlList, as:'draftPeserta'}
                                <tr>
                                    <td>${draftPeserta_index}</td>
                                    <td>${draftPeserta.dp_nama_rekanan}</td>
                                    <td>${draftPeserta.dp_npwp_rekanan}</td>
                                    <td>${draftPeserta.dp_email_rekanan}</td>
                                    <td>${draftPeserta.dp_telp_rekanan}</td>
                                    <td>${draftPeserta.dp_alamat_rekanan}</td>
                                    #{if draft}
                                        <td>
                                            <a href="@{nonlelang.PengadaanLCtr.hapusDraftPenyedia(draftPeserta.dp_id)}"
                                               class="btn btn-danger btn-sm"
                                               onclick="return confirm('Anda yakin akan menghapus data ini?');">Hapus</a>
                                        </td>
                                    #{/if}
                                </tr>
                                #{/list}
                            </tbody>
                        </table>
                    #{/if}
                </div>
            </td>
        </tr>

        #{if draft}
        #{if pl.pengadaanUlang}
            <tr>
                <td class="bgwarning">&nbsp;</td>
                <td colspan="3">
                    #{saveButton id:'simpan' /}
                </td>
            </tr>
        #{/if}
        #{/if}
    </table>
#{/form}

#{if belum_cetak_dok_lelang}
    #{form @nonlelang.DokumenPlCtr.cetak(dok_pl?.dll_id), id:'form-cetak', 'data-alert':'true'}    #{/form}
#{/if}

#{if pl.paket.paket_persetujuan}
    #{if active_user.isPanitia()}
        <div class="card card-info">
            <div class="card-header"><b>Status Persetujuan</b></div>
            #{persetujuanListPl pl.lls_id, pemenang:false /}
        </div>
    #{/if}
    #{else active_user.isPP()}
    <div class="card card-info">
        <div class="card-header"><b>Status Persetujuan Pejabat Pengadaan</b></div>
        #{persetujuanListPp pl.lls_id, pemenang:false /}
    </div>
    #{/else}


    #{if allow_persetujuan && peserta_terdaftar}
    #{if active_user.isPP()}
    <div class="card card-info">
        <div class="card-header"><b>Persetujuan</b></div>
        <div class="card-body">
            #{form @nonlelang.PengadaanLCtr.pengumumanPp(pl.lls_id), id:'form-persetujuan', 'data-alert':'true'}
            #{paktaIntegritasPL active_user:active_user /}
            <br/><br/>
            <div class="form-group">
                <label><b>Alasan Tidak Setuju</b></label>
                <textarea id="alasan" name="alasan" rows="4" cols="50" class="form-control #{validate 'alasan'/}">${pl.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
                <div class="invalid-feedback">#{error 'alasan' /}</div>
            </div>
            <button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'nonlelang.mungumumkan_paket_nontender'}</button>
            <button type="submit" name="setuju" id="tidak-setuju" value="false" class="btn btn-danger">&{'nonlelang.tidak_setuju'}</button>
            #{/form}
        </div>
    </div>
    #{/if}
    #{else }
        <div class="card card-info">
            <div class="card-header"><b>Persetujuan</b></div>
        <div class="card-body">
            #{form @nonlelang.PengadaanLCtr.pengumuman(pl.lls_id), id:'form-persetujuan', 'data-alert':'true'}
                #{paktaIntegritasPL active_user:active_user /}
                <br/><br/>
                    <div class="form-group">
                        <label><b>Alasan Tidak Setuju</b></label>
                        <textarea id="alasan" name="alasan" rows="4" cols="50" class="form-control #{validate 'alasan'/}">${pl.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
                        <div class="invalid-feedback">#{error 'alasan' /}</div>
                    </div>
                    <button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'nonlelang.setuju'}</button>
                    <button type="submit" name="setuju" id="tidak-setuju" value="false" class="btn btn-danger">&{'nonlelang.tidak_setuju'}</button>
            #{/form}
            </div>
        </div>
    #{/ else}
    #{/if}
    #{if allowBatalPersetujuan}
    <a href="@{nonlelang.PersetujuanPlCtr.batalPersetujuanPengumuman(pl.lls_id)}"
       onclick="return confirm('Apakah Anda yakin untuk membatalkan Persetujuan Anda?')"
       class="btn btn-danger">&{'nonlelang.pembatalan_persetujuan'}
    </a>
#{/if}
#{/if}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
    //cetak dokument
    $(document).on('click', '.cetak', function () {
        var id = $(this).attr('value');
        $('#' + id).submit();
    });

    
#{if allow_persetujuan && !belum_cetak_dok_lelang && peserta_terdaftar && draft}
//pengaturan untuk tombol setuju dan tidak setuju
$(document).ready(function() {
    btnPersetujuan($("#alasan"));
});
$(document).on('keyup','#alasan', function(){
	btnPersetujuan(this);
});

$(document).on('click', '#btnUploadDokKualifikasi', function(){
	  $.post('@{nonlelang.PengadaanLCtr.simpan(pl.lls_id)}', $('#formEditLelang').serialize())
	});
$(document).on('click', '#btnUploadDokTender', function(){
	  $.post('@{nonlelang.PengadaanLCtr.simpan(pl.lls_id)}', $('#formEditLelang').serialize())
	});

function btnPersetujuan(e){
    var val = $(e).val();
    console.log(val);
    if(val != ""){
        $("#setuju").attr("disabled", true);
        $("#tidak-setuju").attr("disabled", false);
    }else{
        $("#setuju").attr("disabled", false);
        $("#tidak-setuju").attr("disabled", true);
    }
}
#{/if}
</script>
#{/set}
